#pragma once

#include "Widget.hpp"

class LedWidget : public Widget {
public:
    explicit LedWidget(const WidgetConfig& config);

    lv_obj_t* create(lv_obj_t* parent) override;
    void applyStyle() override;

    // KNX update (LED responds to switch)
    void onKnxSwitch(bool value) override;
};
